Compare commits

...
Sign in to create a new pull request.

26 commits

Author SHA1 Message Date
Fedora Release Engineering
6413f00e6c dist-git conversion 2010-07-29 09:40:02 +00:00
Bill Nottingham
1aaac6db76 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:43:48 +00:00
Devrim GÜNDÜZ
303d4a08a5 Update to 2.2.2 2009-05-07 10:42:03 +00:00
Devrim GÜNDÜZ
91aad2fbe4 - Fix pid file path in init script.
- Fix spec file -- we don't use short_name macro in pgcore spec file.
- Create pgpool pid file directory.
- Fix stop/start routines, also improve init script a bit.
- Install conf files to a new directory (/etc/pgpool-II), and get rid of
    sample conf files.
2009-03-23 01:01:26 +00:00
Devrim GÜNDÜZ
aa7b138e96 Update to 2.2 2009-03-01 14:57:56 +00:00
Devrim GÜNDÜZ
4d1831cdb5 - Update patch #1: Fix build failure caused by new default patch fuzz = 0
policy in rawhide
2008-08-12 05:34:21 +00:00
Devrim GÜNDÜZ
2aa87bd532 - Update to 2.1 Gold
- Set group of sample config files to root, not apache. Fixes RH #442372.
2008-08-12 05:06:59 +00:00
Jesse Keating
a71a044f44 Initialize branch F-9 for postgresql-pgpool-II 2008-04-21 15:15:56 +00:00
Devrim GÜNDÜZ
456b6478e6 - Fix Requires: issue, per #442021 (Alex Lancaster) 2008-04-11 18:25:54 +00:00
Devrim GÜNDÜZ
7d95072969 - Honor /etc/sysconfig/pgpool settings. Previously we could never customize
PGPOOLPID=/var/run/pgpool.pid et al.
- Remaining hardcoded paths replaced by customizable variables such as
    $PGPOOLCONF .
2008-04-09 06:36:47 +00:00
Devrim GÜNDÜZ
61c7e326b8 Copy-paste is evil. 2008-04-06 17:11:29 +00:00
Devrim GÜNDÜZ
bc3e16458a Fix spec 2008-04-06 16:54:53 +00:00
Devrim GÜNDÜZ
ddb35e6b79 Update sources 2008-04-06 16:53:04 +00:00
Devrim GÜNDÜZ
c4f9f72b99 Update to 2.1 beta2
Remove unneeded patch.
2008-04-06 16:37:31 +00:00
Jesse Keating
f1baa5de3a - Autorebuild for GCC 4.3 2008-02-19 01:27:41 +00:00
Devrim GÜNDÜZ
9d0361507a - Rebuilt against PostgreSQL 8.3 2008-01-22 03:59:48 +00:00
Devrim GÜNDÜZ
f31a475d7f Fix Requires of -devel package, per bz#429436 2008-01-20 00:56:54 +00:00
Devrim GÜNDÜZ
8c0576ee57 Update to 2.0.1 Add a temp patch that will disappear in 2.0.2 2008-01-14 08:24:24 +00:00
Devrim GÜNDÜZ
40cc65d1c5 Update to 2.0.1 release 2008-01-05 20:59:45 +00:00
Devrim GÜNDÜZ
a4b33c1351 Update pgpool-II to 1.3 2007-10-23 06:47:13 +00:00
Devrim GÜNDÜZ
d50b58fec0 Update pgpool-II to 1.2.1 2007-10-06 00:25:06 +00:00
Devrim GÜNDÜZ
4bd934db13 Update spec file per latest changes. 2007-08-16 09:44:57 +00:00
Devrim GÜNDÜZ
5e3f3b14af - Fixed the directory name where sample conf files and sql files are
installed.
2007-08-16 08:41:21 +00:00
Devrim GÜNDÜZ
af44953420 Bump up version 2007-08-05 03:03:11 +00:00
Devrim GÜNDÜZ
89362e82c3 - Added a patch for sample conf file to use Fedora defaults 2007-08-05 02:58:47 +00:00
Devrim GÜNDÜZ
1fb8191790 Patch for sample conf file 2007-08-05 02:52:20 +00:00
7 changed files with 184 additions and 56 deletions

View file

@ -1 +0,0 @@
pgpool-II-1.2.tar.gz

2
.gitignore vendored Normal file
View file

@ -0,0 +1,2 @@
pgpool-II-2.2.tar.gz
pgpool-II-2.2.2.tar.gz

View file

@ -1,21 +0,0 @@
# Makefile for source rpm: postgresql-pgpool-II
# $Id$
NAME := postgresql-pgpool-II
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

46
pgpool.conf.sample.patch Normal file
View file

@ -0,0 +1,46 @@
--- pgpool.conf.sample.old 2009-03-22 22:18:52.000000000 +0200
+++ pgpool.conf.sample 2009-03-22 22:46:20.000000000 +0200
@@ -12,16 +12,14 @@
# Port number for pgpool communication manager
pcp_port = 9898
-# Unix domain socket path. (The Debian package defaults to
-# /var/run/postgresql.)
+# Unix domain socket path.
socket_dir = '/tmp'
# Unix domain socket path for pgpool communication manager.
-# (Debian package defaults to /var/run/postgresql)
pcp_socket_dir = '/tmp'
-# Unix domain socket path for the backend. Debian package defaults to /var/run/postgresql!
-backend_socket_dir = '/tmp'
+# Unix domain socket path for the backend.
+backend_socket_dir = '/var/run/pgpool'
# pgpool communication manager timeout. 0 means no timeout, but strongly not recommended!
pcp_timeout = 10
@@ -54,7 +52,7 @@
authentication_timeout = 60
# Logging directory
-logdir = '/tmp'
+logdir = '/var/log/pgpool'
# pid file name
pid_file_name = '/var/run/pgpool/pgpool.pid'
@@ -166,10 +164,10 @@
# backend_hostname, backend_port, backend_weight
# here are examples
-#backend_hostname0 = 'host1'
-#backend_port0 = 5432
-#backend_weight0 = 1
-#backend_data_directory0 = '/data'
+backend_hostname0 = 'localhost'
+backend_port0 = 5432
+backend_weight0 = 1
+backend_data_directory0 = '/var/lib/pgsql/data'
#backend_hostname1 = 'host2'
#backend_port1 = 5433
#backend_weight1 = 1

View file

@ -8,6 +8,9 @@
#
# v1.0.0 Devrim GUNDUZ <devrim@CommandPrompt.com>
# - Initial version of Red Hat / Fedora init script
#
# v2.2 Devrim GUNDUZ <devrim@CommandPrompt.com>
# - New and improved version which has some fixes.
if [ -r /etc/sysconfig/pgpool ]; then
. /etc/sysconfig/pgpool
@ -28,25 +31,23 @@ TYPESET=`typeset -f|grep "declare"`
[ "${NETWORKING}" = "no" ] && exit 0
# Find the name of the script
NAME=pgpool
NAME=`basename $0`
if [ ${NAME:0:1} = "S" -o ${NAME:0:1} = "K" ]
then
NAME=${NAME:3}
fi
# Set defaults for configuration variables
PGPOOLENGINE=/usr/bin
PGPOOLDAEMON=$PGPOOLENGINE/pgpool
PGPOOLCONF=/etc/pgpool.conf
PGPOOLPID=/var/run/pgpool.pid
PGPOOLCONF=/etc/pgpool-II/pgpool.conf
PGPOOLPIDDIR=/var/run/pgpool
PGPOOLLOG=/var/log/pgpool.log
test -x $PGPOOLDAEMON || exit 5
# Create the log file if it does not exist
if [ ! -r $PGPOOLLOG ]
then
touch $PGPOOLLOG
fi
# Check whether the config file exists or not
if [ ! -r /etc/pgpool.conf ]
if [ ! -r $PGPOOLCONF ]
then
echo "$PGPOOLCONF not found"
RETVAL=1
@ -54,12 +55,36 @@ then
exit
fi
# Create the log file if it does not exist
if [ ! -x $PGPOOLLOG ]
then
touch $PGPOOLLOG
chown postgres: $PGPOOLLOG
fi
if [ ! -d $PGPOOLPIDDIR ]
then
mkdir $PGPOOLPIDDIR
chown postgres: $PGPOOLPIDDIR
fi
script_result=0
start(){
pid=`pidof -s "$PGPOOLDAEMON"`
if [ $pid ]
then
echo "pgpool is already running with pid $pid"
failure "$PGPOQL_START"
echo
script_result=1
exit 1
fi
PGPOOL_START=$"Starting ${NAME} service: "
echo -n "$PGPOOL_START"
$PGPOOLDAEMON -f $PGPOOLCONF $OPTS & >> "$PGPOOLLOG" 2>&1 < /dev/null
sleep 2
@ -70,7 +95,7 @@ start(){
touch /var/lock/subsys/${NAME}
echo
else
failure "$PSQL_START"
failure "$PGPOQL_START"
echo
script_result=1
fi
@ -82,7 +107,8 @@ stop(){
RETVAL=1
failure
else
killproc /usr/bin/pgpool
killproc /usr/bin/pgpool
# $PGPOOLDAEMON stop & >> "$PGPOOLLOG" 2>&1 < /dev/null
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/${NAME}
fi;
@ -92,7 +118,7 @@ stop(){
switch() {
echo -n $"Sending switchover request to $NAME "
$PGPOOLDAEMON switch >> "$PGPOOLLOG" 2>&1 < /dev/null
$PGPOOLDAEMON -f $PGPOOLCONF switch >> "$PGPOOLLOG" 2>&1 < /dev/null
RETVAL=$?
echo
if [ $RETVAL -eq 0 ]
@ -110,22 +136,23 @@ restart(){
}
reload(){
echo -n $"Reloading ${NAME}: "
if [ -n "`pidfileofproc $PGPOOLDAEMON`" ] ; then
killproc $PGPOOLDAEMON -HUP
else
failure $"Reloading ${NAME}"
fi
RETVAL=$?
echo
echo -n $"Reloading ${NAME}: "
if [ -n "`pidfileofproc $PGPOOLDAEMON`" ] ; then
killproc $PGPOOLDAEMON -HUP
else
failure $"Reloading ${NAME}"
fi
RETVAL=$?
echo
}
condrestart(){
[ -e /var/lock/subsys/${NAME} ] && restart
[ -e /var/lock/subsys/${NAME} ] && restart
}
condstop(){
[ -e /var/lock/subsys/${NAME} ] && stop
[ -e /var/lock/subsys/${NAME} ] && stop
}
# See how we were called.

View file

@ -2,14 +2,15 @@
Summary: Pgpool is a connection pooling/replication server for PostgreSQL
Name: postgresql-%{short_name}
Version: 1.2
Release: 2%{?dist}
Version: 2.2.2
Release: 1%{?dist}
License: BSD
Group: Applications/Databases
URL: http://pgpool.projects.PostgreSQL.org/pgpool-II/en
Source0: http://pgfoundry.org/frs/download.php/1419/%{short_name}-%{version}.tar.gz
URL: http://pgpool.projects.PostgreSQL.org
Source0: http://pgfoundry.org/frs/download.php/2191/%{short_name}-%{version}.tar.gz
Source1: pgpool.init
Source2: pgpool.sysconfig
Patch1: pgpool.conf.sample.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: postgresql-devel pam-devel
@ -36,27 +37,32 @@ DB nodes to be connected, which was not possible in pgpool-I.
%package devel
Summary: The development files for pgpool-II
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: %{name} = %{version}-%{release}
%description devel
Development headers and libraries for pgpool-II.
%prep
%setup -q -n %{short_name}-%{version}
%patch1 -p0
%build
%configure --with-pgsql-includedir=%{_includedir}/pgsql --with-pgsql-lib=%{_libdir}/pgsql --disable-static --with-pam --disable-rpath
%configure --with-pgsql-includedir=%{_includedir}/pgsql --with-pgsql-lib=%{_libdir}/pgsql --disable-static --with-pam --disable-rpath --sysconfdir=%{_sysconfdir}/%{short_name}/
make %{?_smp_flags}
%install
rm -rf %{buildroot}
make %{?_smp_flags} DESTDIR=%{buildroot} install
mv %{buildroot}/%{_sysconfdir}/*.conf.sample %{buildroot}%{_datadir}/%{short_name}
install -d %{buildroot}%{_datadir}/%{short_name}
install -d %{buildroot}%{_sysconfdir}/%{short_name}
mv %{buildroot}/%{_sysconfdir}/%{short_name}/pcp.conf.sample %{buildroot}%{_sysconfdir}/%{short_name}/pcp.conf
mv %{buildroot}/%{_sysconfdir}/%{short_name}/pgpool.conf.sample %{buildroot}%{_sysconfdir}/%{short_name}/pgpool.conf
mv %{buildroot}/%{_sysconfdir}/%{short_name}/pool_hba.conf.sample %{buildroot}%{_sysconfdir}/%{short_name}/pool_hba.conf
install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/pgpool
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/pgpool
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/pgpool
# nuke libtool archive and static lib
rm -f %{buildroot}%{_libdir}/libpcp.{a,la}
@ -64,7 +70,10 @@ rm -f %{buildroot}%{_libdir}/libpcp.{a,la}
%clean
rm -rf %{buildroot}
%post -p /sbin/ldconfig
%post
/sbin/ldconfig
chkconfig --add pgpool
%postun -p /sbin/ldconfig
%files
@ -77,15 +86,17 @@ rm -rf %{buildroot}
%{_bindir}/pcp_node_info
%{_bindir}/pcp_proc_count
%{_bindir}/pcp_proc_info
%{_bindir}/pcp_recovery_node
%{_bindir}/pcp_stop_pgpool
%{_bindir}/pcp_systemdb_info
%{_bindir}/pg_md5
%{_mandir}/man8/pgpool*
%dir %{_datadir}/%{short_name}
%{_datadir}/%{short_name}/system_db.sql
%{_libdir}/libpcp.so.*
%attr(764,root,apache) %{_datadir}/%{short_name}/*.conf.sample
%{_datadir}/%{short_name}/pgpool.pam
%{_initrddir}/pgpool
%attr(764,root,apache) %config(noreplace) %{_sysconfdir}/%{short_name}/*.conf
%config(noreplace) %{_sysconfdir}/sysconfig/pgpool
%files devel
@ -95,6 +106,69 @@ rm -rf %{buildroot}
%{_libdir}/libpcp.so
%changelog
* Thu May 7 2009 Devrim Gunduz <devrim@CommandPrompt.com> 2.2.2-1
- Update to 2.2.2
* Mon Mar 23 2009 Devrim Gunduz <devrim@CommandPrompt.com> 2.2-1.1
- Fix pid file path in init script.
- Fix spec file -- we don't use short_name macro in pgcore spec file.
- Create pgpool pid file directory.
- Fix stop/start routines, also improve init script a bit.
- Install conf files to a new directory (/etc/pgpool-II), and get rid
of sample conf files.
* Sun Mar 1 2009 Devrim Gunduz <devrim@CommandPrompt.com> 2.2-1
- Update to 2.2
- Update URL
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Thu Dec 4 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.1-2
- Include /usr/share/pgpool-II directory.
* Tue Aug 12 2008 Devrim Gunduz <devrim@CommandPrompt.com> 2.1-1
- Update to 2.1 Gold
- Set group of sample config files to root, not apache. Fixes RH #442372.
- Update patch #1: Fix build failure caused by new default patch
fuzz = 0 policy in rawhide
* Fri Apr 11 2008 Devrim Gunduz <devrim@CommandPrompt.com> 2.1-0.2.beta2
- Fix Requires: issue, per #442021 (Alex Lancaster)
* Sun Apr 6 2008 Devrim Gunduz <devrim@CommandPrompt.com> 2.1-beta2
- Update to 2.1 beta2
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.1-3.1
- Autorebuild for GCC 4.3
* Mon Jan 21 2008 Devrim GUNDUZ <devrim@commandprompt.com> 2.0.1-2.1
- Rebuilt against PostgreSQL 8.3
* Sat Jan 19 2008 Devrim Gunduz <devrim@CommandPrompt.com> 2.0.1-2
- Fix Requires of -devel package, per bz#429436
* Sun Jan 13 2008 Devrim Gunduz <devrim@CommandPrompt.com> 2.0.1-1
- Update to 2.0.1
- Add a temp patch that will disappear in 2.0.2
* Tue Oct 23 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.3-1
- Update to 1.3
* Fri Oct 5 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.2.1-1
- Update to 1.2.1
* Wed Aug 29 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.2-5
- Chmod sysconfig/pgpool to 644, not 755. Per BZ review.
- Run chkconfig --add pgpool during %%post.
* Thu Aug 16 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.2-4
- Fixed the directory name where sample conf files and sql files
are installed.
* Sun Aug 5 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.2-3
- Added a patch for sample conf file to use Fedora defaults
* Sun Aug 5 2007 Devrim Gunduz <devrim@CommandPrompt.com> 1.2-2
- Added an init script for pgpool
- Added /etc/sysconfig/pgpool

View file

@ -1 +1,2 @@
8fed94ed12769dacbbf8758b2154e5a7 pgpool-II-1.2.tar.gz
3dc286e2217478acbc05f127e74bd300 pgpool-II-2.2.tar.gz
6f14514ed4ed5368ad3ab7e2d4c5136b pgpool-II-2.2.2.tar.gz